#language: ru

@logistic

Функционал: 013. Logistic. Создание документов через АРМы для склада с ячейками 1

Сценарий: 013.1. Logistic. Создание распоряжения на приемку (через АРМ Приемка готовой продукции) для склада с ячейками 1
	
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Приемка готовой продукции'
	Тогда открылось окно 'Приемка готовой продукции'
	И я нажимаю кнопку выбора у поля "Период"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '01.09.2019'
	И в поле 'DateEnd' я ввожу текст '30.09.2019'
	И я нажимаю на кнопку 'Выбрать'
	И из выпадающего списка "Организация" я выбираю по строке 'Организация'
	И из выпадающего списка с именем "Склад" я выбираю по строке 'Склад(ячейки и контроль)'
	И элемент формы "ЯчейкаПриемки" стал равен "1020011"
	И из выпадающего списка "РабочийЦентр" я выбираю по строке 'Склад(ячейки и контроль)'
	И я нажимаю на кнопку с именем 'Добавить'
	Тогда открылось окно 'Форма выбора номенклатуры'
	И я нажимаю на кнопку 'Выбрать из справочника'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Сыр Сулугуни' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Характеристики номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| '<Без маркировки>' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "УпаковкиЕдиницыИзмерения" я перехожу к строке:
		| 'Наименование' |
		| 'упак (1 кг)'  |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'                 |
		| '000001 до 20.10.2019 0:00:00' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Введите количество'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Приемка готовой продукции'
	И я нажимаю на кнопку 'Подтвердить'
	Тогда открылось окно '1С:Предприятие'
	И я нажимаю на кнопку 'Да'
	Тогда открылось окно 'Приемка готовой продукции'
	И Я закрываю окно 'Приемка готовой продукции'

Сценарий: 013.2. Logistic. Проверка распоряжения на приемку, созданного через АРМ Приемка готовой продукции для склада с ячейками 1

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распоряжения на приемку'
	Тогда открылось окно 'Распоряжения на приемку'
	И в таблице "Список" я перехожу к строке:
		| 'Склад'                    | 'Комментарий' |
		| 'Склад(ячейки и контроль)' | ''            |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распоряжение на приемку *'
	И элемент формы "Склад" стал равен "Склад(ячейки и контроль)"
	И элемент формы "Ответственный" стал равен "Администратор"
	Тогда таблица "Товары" стала равной:
		| 'Количество' | 'Ед.'         | 'Номенклатура' | 'Характеристика'   | 'Серия'                        | 'В ед. хранения' | 'Ячейка'  |
		| '20,000'     | 'упак (1 кг)' | 'Сыр Сулугуни' | '<Без маркировки>' | '000001 до 20.10.2019 0:00:00' | '20,000, кг'     | '1020011' |
	И в поле 'Комментарий' я ввожу текст 'Документ проверен'
	И я нажимаю на кнопку 'Провести и закрыть'
	Тогда открылось окно 'Распоряжения на приемку'
	И Я закрываю окно 'Распоряжения на приемку'

Сценарий: 013.3. Logistic. Создание распоряжения на перемещение с типом размещение для склада с ячейками 1 (документ)

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распоряжения на перемещение'
	Тогда открылось окно 'Распоряжения на перемещение'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Распоряжение на перемещение (создание)'
	И из выпадающего списка "Статус" я выбираю точное значение 'Выполнено'
	И из выпадающего списка "Склад отправитель" я выбираю по строке 'Склад(ячейки и контроль)'
	И из выпадающего списка "Склад получатель" я выбираю по строке 'Склад(ячейки и контроль)'
	И из выпадающего списка "Тип перемещения" я выбираю точное значение 'Размещение'
	И в поле 'Фактическая дата перемещения' я ввожу текст '24.09.2019  0:00:00'
	И я перехожу к закладке "План"
	И в таблице "ТоварыПлан" я нажимаю на кнопку с именем 'ТоварыПланДобавить'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланНоменклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланХарактеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "ТоварыПлан" из выпадающего списка "Серия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "ТоварыПлан" в поле с именем 'ТоварыПланКоличествоУпаковок' я ввожу текст '20,000'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланУпаковка" я выбираю по строке 'упак (1 кг)'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланЯчейкаОтправитель" я выбираю по строке '1020011'
	И в таблице "ТоварыПлан" из выпадающего списка с именем "ТоварыПланЯчейкаПолучатель" я выбираю по строке '1040011'
	И я перехожу к закладке "Факт"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка с именем "ТоварыНоменклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "Товары" из выпадающего списка с именем "ТоварыХарактеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоУпаковок' я ввожу текст '20,000'
	И в таблице "Товары" из выпадающего списка с именем "ТоварыУпаковка" я выбираю по строке 'упак (1 кг)'
	И в таблице "Товары" из выпадающего списка с именем "ТоварыЯчейкаОтправитель" я выбираю по строке '1020011'
	И в таблице "Товары" из выпадающего списка с именем "ТоварыЯчейкаПолучатель" я выбираю по строке '1040011'
	И в поле 'Комментарий' я ввожу текст 'Распоряжение на перемещение 3 для склада с ячейками из ячейки поступления'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Распоряжение на перемещение (создание) *' в течение 20 секунд
	Тогда открылось окно 'Распоряжения на перемещение'
	И Я закрываю окно 'Распоряжения на перемещение'

Сценарий: 013.4. Logistic. Создание плана отгрузки (документ) для склада с ячейками 1 - цепочка с АРМами
	
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Планы отгрузки'
	Тогда открылось окно 'Планы отгрузки'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'План отгрузки (создание)'
	И в поле 'Дата отгрузки' я ввожу текст '25.09.2019'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад(ячейки и контроль)'
	И в поле с именем 'Дата' я ввожу текст '25.09.2019  0:00:00'
	И из выпадающего списка "Статус" я выбираю точное значение 'В наборку'
	И я перехожу к закладке "Товары"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка "Номенклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "Товары" из выпадающего списка "Характеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '10,000'
	И в таблице "Товары" из выпадающего списка "Ед." я выбираю по строке 'упак (1 кг)'
	И в таблице "Товары" в поле 'Вес, кг' я ввожу текст '10,00'
	И в таблице "Товары" в поле 'Мест, м3' я ввожу текст '10,00'
	И в таблице "Товары" я завершаю редактирование строки
	И в поле 'Комментарий' я ввожу текст 'План отгрузки 4 для склада с ячейками 1 (с использованием АРМов)'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'План отгрузки (создание) *' в течение 20 секунд
	Тогда открылось окно 'Планы отгрузки'
	И Я закрываю окно 'Планы отгрузки'

Сценарий: 013.5. Logistic. Создание на основании плана отгрузки задания на доставку для склада с ячейками 1 - цепочка с АРМами
	
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Планы отгрузки'
	Тогда открылось окно 'Планы отгрузки'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                                                      |
		| 'План отгрузки 4 для склада с ячейками 1 (с использованием АРМов)' |
	И я нажимаю на кнопку 'Задание на доставку'
	Тогда открылось окно 'Задание на доставку (создание)'
	И из выпадающего списка с именем "Статус" я выбираю точное значение 'К погрузке'
	И я нажимаю кнопку выбора у поля "Транспортное средство"
	Тогда открылось окно 'Выбор типа данных'
	И в таблице "" я перехожу к строке:
		| ''                      |
		| 'Транспортные средства' |
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Транспортные средства'
	И в таблице "Список" я перехожу к строке:
		| 'Автомобиль'    |
		| 'А524НВ Газель' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Задание на доставку (создание) *'
	И в поле с именем "Дата" я ввожу текст '25.09.2019  0:00:00'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Задание на доставку (создание)' в течение 20 секунд
	Тогда открылось окно 'Планы отгрузки'
	И Я закрываю окно 'Планы отгрузки'

Сценарий: 013.6. Logistic. п/ф плана отгрузки через АРМ Мониторинг отгрузки для склада с ячейками 1
	
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Мониторинг отгрузки'
	Тогда открылось окно 'Мониторинг отгрузки'
	И я разворачиваю группу "Отборы"
	И я нажимаю кнопку выбора у поля "Период"
	Тогда открылось окно 'Выберите период'
	И в поле 'DateBegin' я ввожу текст '01.09.2019'
	И в поле 'DateEnd' я ввожу текст '30.09.2019'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Мониторинг отгрузки'
	И из выпадающего списка "Склад" я выбираю по строке 'Склад(ячейки и контроль)'
	И я нажимаю на кнопку 'Обновить дерево документов'
	Тогда таблица "ДеревоДокументовОтгрузки" стала равной:
		| 'Транспорт/Распоряжение' | 'Факт' | 'Статус' | 'План' |
		| 'А524НВ Газель'          | ''     | ''       | ''     |
	И в таблице "ДеревоДокументовОтгрузки" я разворачиваю строку с подчиненными:
		| 'Транспорт/Распоряжение' |
		| 'А524НВ Газель'          |
	Тогда таблица "ДеревоДокументовОтгрузки" стала равной по шаблону:
		| 'Транспорт/Распоряжение' | 'Факт' | 'Статус'    | 'План'   |
		| 'А524НВ Газель'          | ''     | ''          | ''       |
		| 'План отгрузки * от *'   | ''     | 'В наборку' | '10,000' |
	И в таблице "ДеревоДокументовОтгрузки" я перехожу к строке:
		| 'План'   | 'Статус'    |
		| '10,000' | 'В наборку' |
	И я нажимаю на кнопку 'Печать'
	Тогда открылось окно 'План отгрузки *'
	Тогда Табличный документ "ТекущаяПечатнаяФорма" равен макету "План отгрузки для склада ячейками1 (АРМ)" по шаблону
	И Я закрываю окно 'План отгрузки *'
	Тогда открылось окно 'Мониторинг отгрузки'
	И в таблице "ДеревоДокументовОтгрузки" я разворачиваю строку с подчиненными:
		| 'Транспорт/Распоряжение' |
		| 'А524НВ Газель'          |
	Тогда таблица "ДеревоДокументовОтгрузки" стала равной по шаблону:
		| 'Транспорт/Распоряжение' | 'Факт' | 'Статус'     | 'План'   |
		| 'А524НВ Газель'          | ''     | ''           | ''       |
		| 'План отгрузки * от *'   | ''     | 'Набирается' | '10,000' |
	И Я закрываю окно 'Мониторинг отгрузки'

Сценарий: 013.7. Logistic. Создание распоряжения на перемещение c типом отбор в ячейку отгрузки для склада с ячейками 1 
	
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распоряжения на перемещение'
	Тогда открылось окно 'Распоряжения на перемещение'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Распоряжение на перемещение (создание)'
	И из выпадающего списка "Статус" я выбираю точное значение 'Выполнено'
	И из выпадающего списка "Склад отправитель" я выбираю по строке 'Склад(ячейки и контроль)'
	И из выпадающего списка "Склад получатель" я выбираю по строке 'Склад(ячейки и контроль)'
	И из выпадающего списка "Тип перемещения" я выбираю точное значение 'Отбор'
	И в поле 'Фактическая дата перемещения' я ввожу текст '25.09.2019  0:00:00'
	И я перехожу к закладке "Факт"
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" из выпадающего списка с именем "ТоварыНоменклатура" я выбираю по строке 'Сыр Сулугуни'
	И в таблице "Товары" из выпадающего списка с именем "ТоварыХарактеристика" я выбираю по строке '<Без маркировки>'
	И в таблице "Товары" из выпадающего списка "Серия" я выбираю по строке '000001 до 20.10.2019 0:00:00'
	И в таблице "Товары" в поле с именем 'ТоварыКоличествоУпаковок' я ввожу текст '10,000'
	И в таблице "Товары" из выпадающего списка с именем "ТоварыУпаковка" я выбираю по строке 'упак (1 кг)'
	И в таблице "Товары" из выпадающего списка с именем "ТоварыЯчейкаОтправитель" я выбираю точное значение '1040011'
	И в таблице "Товары" из выпадающего списка с именем "ТоварыЯчейкаПолучатель" я выбираю точное значение '1030011'
	И в поле 'Комментарий' я ввожу текст 'Распоряжение на перемещение 4 для склада с ячейками 1 из ячейки в ячейку отгрузки'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Распоряжение на перемещение (создание) *' в течение 20 секунд
	Тогда открылось окно 'Распоряжения на перемещение'
	И Я закрываю окно 'Распоряжения на перемещение'

Сценарий: 013.8. Logistic. Заполнение факта отгрузки, распоряжение на отгрузку (через АРМ Отгрузка) - для склада с ячейками 1
	
	И В командном интерфейсе я выбираю 'Склад и доставка' 'Отгрузка'
	И я нажимаю на гиперссылку "ЗаданиеНаДоставкуПредставление"
	Тогда открылось окно 'Задания на доставку'
	И в таблице "Список" я перехожу к строке:
		| 'Водитель'             | 'Время начала рейса (план)' | 'Машина'        |
		| 'Водитель Петров Петр' | '25.09.2019 0:00:00'        | 'А524НВ Газель' |
	И в таблице "Список" я выбираю текущую строку
	И я нажимаю на гиперссылку "ПланОтгрузкиПредставление"
	Тогда открылось окно 'Планы отгрузки'
	И в таблице "Список" я перехожу к строке:
		| 'Комментарий'                                                      |
		| 'План отгрузки 4 для склада с ячейками 1 (с использованием АРМов)' |
	И в таблице "Список" я выбираю текущую строку
	И я нажимаю на кнопку 'Создать короб'
	И я нажимаю на кнопку 'ВводШтрихкода'
	Тогда открылось окно 'Ввод штрихкода'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку '2'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку '1'
	И я нажимаю на кнопку 'КомандаГотово'
	И я нажимаю на кнопку 'Завершить сборку'
	Тогда открылось окно 'Таблица'
	И Я закрываю окно 'Таблица'
	И я нажимаю на кнопку 'Подтвердить'
	Тогда открылось окно 'Подтверждение'
	И я нажимаю на кнопку 'Нет'
	И я нажимаю на кнопку 'Создать короб'
	И я нажимаю на кнопку 'Добавить номенклатуру'
	Тогда открылось окно 'Электронные весы не выбраны. Введите вес вручную'
	И я нажимаю на кнопку '9'
	И я нажимаю на кнопку 'КомандаГотово'
	И я нажимаю на кнопку 'Завершить сборку'
	Тогда открылось окно 'Таблица'
	И Я закрываю окно 'Таблица'
	И я нажимаю на кнопку 'Подтвердить'
	Тогда открылось окно 'Подтверждение'
	И я нажимаю на кнопку 'Да'
	Тогда открылось окно 'Таблица'
	И Я закрываю окно 'Таблица'
	И Я закрываю окно ''
	Тогда открылось окно 'Закрытие'
	И я нажимаю на кнопку 'Да'

Сценарий: 013.9. Logistic. Проверка распоряжения на отгрузку, созданного через АРМ Отгрузка для склада с ячейками 1

	И В командном интерфейсе я выбираю 'Склад и доставка' 'Распоряжения на отгрузку'
	Тогда открылось окно 'Распоряжения на отгрузку'
	И я нажимаю кнопку выбора у поля "Задание на доставку"
	Тогда открылось окно 'Задания на доставку'
	И в таблице "Список" я перехожу к строке:
		| '(План) Начало рейса ' |
		| '25.09.2019 0:00:00'   |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распоряжения на отгрузку'
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Распоряжение на отгрузку * от *'
	И элемент формы "Склад" стал равен "Склад(ячейки и контроль)"
	И элемент формы "Ответственный" стал равен "Администратор"
	Тогда таблица "Товары" стала равной по шаблону:
		| 'Количество' | 'Ед.'         | 'Номенклатура' | 'Характеристика'   | 'Серия'                        | 'В ед. хранения' | 'Вес, кг' |
		| '1,000'      | 'упак (1 кг)' | 'Сыр Сулугуни' | '<Без маркировки>' | '000001 до 20.10.2019 0:00:00' | '1,000, кг'      | '2'       |
		| '9,000'      | 'кг'          | 'Сыр Сулугуни' | '<Без маркировки>' | '000001 до 20.10.2019 0:00:00' | '9,000, кг'      | '9'       |
	И Я закрываю окно 'Распоряжение на отгрузку * от *'
	Тогда открылось окно 'Распоряжения на отгрузку'
	И я нажимаю кнопку очистить у поля "Задание на доставку"
	И Я закрываю окно 'Распоряжения на отгрузку'

Сценарий: 013.10. Logistic. Завершение

	И Я закрыл все окна клиентского приложения